%define upstream_name    Dist-Zilla-Plugin-Config-Git
%define upstream_version 0.92

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Plugin configuration containing settings for a Git repo
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(String::Errf)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::clean)
BuildArch: noarch

%description
This is an easy-to-use role for plugins to enable usage of
Dist::Zilla::Plugin::Config::Git configurations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.920.0-9.mga10
+ Revision: 2198421
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.920.0-8.mga9
+ Revision: 1803201
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.920.0-7.mga8
+ Revision: 1494252
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.920.0-6.mga7
+ Revision: 1267513
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.920.0-5.mga6
+ Revision: 1026183
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.920.0-4.mga6
+ Revision: 929711
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.920.0-3.mga5
+ Revision: 741180
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.920.0-2.mga5
+ Revision: 684420
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 jquelin <jquelin> 0.920.0-1.mga5
+ Revision: 593458
- imported package perl-Dist-Zilla-Plugin-Config-Git


* Mon Feb 17 2014 cpan2dist 0.92-1mga
- initial mageia release, generated with cpan2dist
